%define module_name GD
Name: perl-%{module_name}2
version: 2.23
Release: alt1
Serial: 1

Summary: GD (module for perl)
License: GPL or Artistic
Group: Development/Perl
Url: http://stein.cshl.org/WWW/software/GD/
Source: http://www.perl.com/CPAN/modules/by-module/GD/%module_name-%version.tar.gz
#Patch: %module_name-%version.patch
Conflicts: perl-GD1
Requires: libgd2

AutoReqProv: yes, perl

# Automatically added by buildreq on Mon May 23 2005
BuildRequires: fontconfig-devel freetype2-devel libgd2-devel libjpeg-devel libpng-devel perl-GD2 perl-devel xorg-x11-devel zlib-devel

%description
This is a Perl interface to Gd Graphics Library.

%prep
%ifdef __BTE
%def_without test
%endif

%setup -q -n %module_name-%version
#%patch -p1
find -type f -print0 |
    xargs -r0 %__grep -FZl /usr/local |
    xargs -r0 %__subst 's,/usr/local,/usr,g'

perl -pi -e 's@^(\s+)\$JPEG.*@\1\$JPEG = 1;@' Makefile.PL
perl -pi -e 's@^(\s+)\$XPM.*@\1\$XPM = 1;@' Makefile.PL
perl -pi -e 's@^(\s+)\$ANIMGIF.*@\1\$ANIMGIF = 0;@' Makefile.PL
perl -pi -e 's@^(\s+)\$FT.*@\1\$FT = 1;@' Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install
#Added for GD-2.23
cp -p qd.pl $RPM_BUILD_ROOT/%perl_vendor_archlib
cp -rp GD $RPM_BUILD_ROOT/%perl_vendor_archlib

%files
%perl_vendor_archlib/%module_name
%perl_vendor_archlib/%module_name.pm
%perl_vendor_archlib/qd.pl
%perl_vendor_autolib/%module_name
%perl_vendor_man3dir/*
%perl_vendor_man1dir/*
%_bindir/*

%doc ChangeLog README* demos

%changelog
* Mon May 23 2005 DH <dh@altlinux.ru> 1:2.23-alt1
- New version
- Minor changes in spec

* Sun Apr 17 2005 DH <dh@altlinux.ru> 1:2.19-alt1
- New version

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:2.18-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Sat Nov 13 2004 DH <dh@altlinux.ru> 1:2.18-alt1
- New version

* Thu Aug 26 2004 DH <dh@altlinux.ru> 1:2.16-alt1
- New version

* Sun Dec 14 2003 DH <dh@altlinux.ru> 2.041-alt4
- Minor changes in spec

* Sun Sep 7 2003 DH <dh@dh.net.ru> 2.041-alt3
- Patch for t/GD.t (Freetype Support test excluded)

* Wed Nov 13 2002 DH <dh@dh.net.ru> 2.041-alt2
- Changes in spec (for perl-5.8.0).

* Wed Nov 6 2002 DH <dh@dh.net.ru> 2.041-alt1
- First release.
